table.AnnualizedReturns {PerformanceAnalytics} | R Documentation

## Annualized Returns Summary: Statistics and Stylized Facts

### Description

Table of Annualized Return, Annualized Std Dev, and Annualized Sharpe

### Usage

    table.AnnualizedReturns(R, scale = NA, Rf = 0, geometric = TRUE,
      digits = 4)

### Arguments

`R` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`scale` | number of periods in a year (daily scale = 252, monthly scale = 12, quarterly scale = 4)
`Rf` | risk free rate, in same period as your returns
`geometric` | utilize geometric chaining (TRUE) or simple/arithmetic chaining (FALSE) to aggregate returns, default TRUE
`digits` | number of digits to round results to

### Author(s)

Peter Carl

### See Also

`Return.annualized`
`StdDev.annualized`
`SharpeRatio.annualized`

### Examples

    data(managers)
    table.AnnualizedReturns(managers[,1:8])

    require("Hmisc")
    result = t(table.AnnualizedReturns(managers[,1:8], Rf=.04/12))

    textplot(format.df(result, na.blank=TRUE, numeric.dollar=FALSE,
             cdec=c(3,3,1)), rmar = 0.8, cmar = 2,  max.cex=.9,
             halign = "center", valign = "top", row.valign="center",
             wrap.rownames=20, wrap.colnames=10, col.rownames=c("red",
             rep("darkgray",5), rep("orange",2)), mar = c(0,0,3,0)+0.1)

    title(main="Annualized Performance")

[Package PerformanceAnalytics version 1.5.3 Index]